using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace FoodShop.Models
{
    public class Banner
    {
        [Required, Key]
        public int Id { get; set; }

        [Required, StringLength(69), Display(Name = "ID Pagina")]
        public string IdBanner { get; set; }

        [Required, StringLength(69), Display(Name = "File Name")]
        public string IdFile { get; set; }

        [StringLength(3), Display(Name = "Ext"), DefaultValue("jpg")]
        public string BannerExtension { get; set; }

        [DefaultValue(1)]
        public int? NumImg { get; set; }

        [DefaultValue(0)]
        public int? Carusel_Inteval { get; set; }

        [DefaultValue("#")]
        public string URL { get; set; }

        [DefaultValue("Title")]
        public string Titolo { get; set; }

        //public virtual BannerExtension Extension { get; set; }
    }
}
